Bug Hunting Session
Bug 57678 - FILEOPEN: TABLES from particular RTF file imported as plain text
Summary: FILEOPEN: TABLES from particular RTF file imported as plain text
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: BSA target:4.1.0 target:4.0.0.1 targe...
Keywords: filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2012-11-29 09:10 UTC by Marek Rodkiewicz
Modified: 2015-12-17 12:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
RTF file with tables (2.42 KB, text/rtf)
2012-11-29 09:10 UTC, Marek Rodkiewicz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Rodkiewicz 2012-11-29 09:10:44 UTC
Created attachment 70775 [details]
RTF file with tables

Problem description: 

Steps to reproduce:
1. Open RTF file with tables

Current behavior: Tables are ignored

Expected behavior: Show table layouts

MS Word, Open Office, Wordpad, standard mac os x preview work fine with RTF tables.
Operating System: Mac OS X
Last worked in: 3.6.1.2 release
Comment 1 Marek Rodkiewicz 2012-11-29 09:12:52 UTC
Last worked version is wrong, it worked about 1 year ago, dont remember version
Comment 2 s-joyemusequna 2012-11-29 12:13:01 UTC
It worked with LibO 3.4.5. Tested under Windows XP.
Comment 3 Roman Eisele 2012-11-30 11:11:56 UTC
Thank you for your bug report!

The regression appears first in LibreOffice 3.5.0;
still REPRODUCIBLE with LibreOffice 3.6.4.1 (Build ID: a9a0717);
still REPRODUCIBLE in latest master builds (LOdev 4.0.0.0.alpha1+; Build ID: 519c947f213ec69b0c92d3ea76193270644263e; pull time: 2012-11-28 04:07:39).

Tested on Mac OS X 10.6.8 (Intel).
Comment 4 Roman Eisele 2012-11-30 11:15:57 UTC
@ Miklós Vajna:

Hi Miklós,
sorry for all the bugs, but here is yet another RTF file that still makes problems -- this time, all tables are imported as plain text. Nasty!

Please take a look at this issue. Thank you very much!
Comment 5 Miklos Vajna 2012-12-07 14:27:32 UTC
Not that nasty, we always import table text as normal one, then later turn it into a table, so probably that conversion fails. I'll try to look into this soon.
Comment 6 Not Assigned 2012-12-24 14:27:45 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4a507f732d82c188ad81b022cbe3037951e58ac3

fdo#57678 fix import of RTF_PARD between RTF_CELL and RTF_ROW



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Not Assigned 2012-12-24 15:19:06 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f9c0deef40a59095c6132b80eb5b21835d3e3a9c&h=libreoffice-4-0

fdo#57678 fix import of RTF_PARD between RTF_CELL and RTF_ROW


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Miklos Vajna 2012-12-24 15:23:23 UTC
Fixed in master and -4-0; -3-6 review request: https://gerrit.libreoffice.org/1482

Marking as resolved.
Comment 9 Not Assigned 2012-12-28 16:09:42 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be09d157c3dc114e4933c85499baa41bfa0510a7&h=libreoffice-3-6

fdo#57678 fix import of RTF_PARD between RTF_CELL and RTF_ROW


It will be available in LibreOffice 3.6.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2015-12-17 12:08:48 UTC
Migrating Whiteboard tags to Keywords: (filter:rtf)
Replace rtf_filter -> filter:rtf.
[NinjaEdit]